Bug 4721 - Redirect to login page (or similar) after closing HTML5 client
Summary: Redirect to login page (or similar) after closing HTML5 client
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Web Access (show other bugs)
Target Milestone: 4.2.0
Assignee: Samuel Mannehed
URL:
Keywords: derfian_tester, prosaic
Depends on:
Blocks:
 
Reported: 2013-06-25 10:32 CEST by Peter Åstrand
Modified: 2014-04-01 15:54 CEST (History)
2 users (show)

See Also:
Acceptance Criteria:


Attachments

Description Peter Åstrand cendio 2013-06-25 10:32:16 CEST
When the HTML5 client session is finished, you are left with a red bar and a disconnected message. There's no way to login again etc without manually selecting another URL or bookmark. We should provide some way to redirect to the login page. Perhaps the target page should also be configuration parameter.
Comment 1 Samuel Mannehed cendio 2014-02-19 15:29:41 CET
Fixed in revision 28467.
Comment 2 Henrik Andersson cendio 2014-03-19 08:00:24 CET
Tested in a ThinLinc cluster using build 4290, works as expected and looks great.
Comment 3 Samuel Mannehed cendio 2014-03-26 09:37:48 CET
Found when testing bug 4864:
> after login and before NoVNC starts I get the "Your session has ended" 
> message/"Go to login page".

We want to avoid displaying the "Your session has ended, Go to login page."-message before noVNC has actually loaded. In cases where noVNC loads slowly the user would see this message for a long time and get confused.

This is fixed in revision 28716 where a "The HTML5 client is loading..."-message is displayed initially instead.

Tester needs to verify this behavior.
Comment 4 Karl Mikaelsson cendio 2014-03-27 14:20:30 CET
(In reply to comment #3)
> Found when testing bug 4864:
> > after login and before NoVNC starts I get the "Your session has ended" 
> > message/"Go to login page".
> 
> We want to avoid displaying the "Your session has ended, Go to login
> page."-message before noVNC has actually loaded. In cases where noVNC loads
> slowly the user would see this message for a long time and get confused.
> 
> This is fixed in revision 28716 where a "The HTML5 client is
> loading..."-message is displayed initially instead.
> 
> Tester needs to verify this behavior.

Build 4304 displays the loading message instead of the session ended message while loading.

Note You need to log in before you can comment on or make changes to this bug.